Summary:        Collection of tools for reading/writing CPU model specific registers
Name:           msr-tools
Version:        1.3
Release:    2%{?dist}
License:        GPLv2+
Source0:        https://github.com/intel/msr-tools/archive/msr-tools-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
ExclusiveArch:  %{ix86} x86_64
Url:            https://github.com/intel/msr-tools


Patch0:          bz1268604-increase-max-procs.patch

%description
This is a small collection of tools to allow reading and writing
of CPU model specific registers

%prep
%setup -q -n msr-tools-msr-tools-%{version}
%patch -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -D rdmsr %{buildroot}%{_sbindir}/rdmsr
install -D wrmsr %{buildroot}%{_sbindir}/wrmsr
install -D cpuid %{buildroot}%{_sbindir}/msr-cpuid

%files
%{_sbindir}/rdmsr
%{_sbindir}/wrmsr
%{_sbindir}/msr-cpuid

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.3-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-1
- initial build
